--- libltdl/config/ltmain.m4sh.orig	2008-09-07 17:54:53.000000000 +0000
+++ libltdl/config/ltmain.m4sh	2008-09-28 04:35:05.000000000 +0000
@@ -1576,8 +1576,8 @@
 	  # At present, this check doesn't affect windows .dll's that
 	  # are installed into $libdir/../bin (currently, that works fine)
 	  # but it's something to keep an eye on.
-	  test "$inst_prefix_dir" = "$destdir" && \
-	    func_fatal_error "error: cannot install \`$file' to a directory not ending in $libdir"
+	  #test "$inst_prefix_dir" = "$destdir" && \
+	  #  func_fatal_error "error: cannot install \`$file' to a directory not ending in $libdir"
 
 	  if test -n "$inst_prefix_dir"; then
 	    # Stick the inst_prefix_dir data into the link command.
@@ -5275,7 +5275,7 @@
 		if test -n "$inst_prefix_dir"; then
 		  case $libdir in
 		    [\\/]*)
-		      add_dir="$add_dir -L$inst_prefix_dir$libdir"
+		      add_dir="$add_dir -L$inst_prefix_dir"
 		      ;;
 		  esac
 		fi
@@ -5336,8 +5336,8 @@
 	      add="-l$name"
 	    elif test "$hardcode_automatic" = yes; then
 	      if test -n "$inst_prefix_dir" &&
-		 test -f "$inst_prefix_dir$libdir/$linklib" ; then
-		add="$inst_prefix_dir$libdir/$linklib"
+		 test -f "$inst_prefix_dir" ; then
+		add="$inst_prefix_dir"
 	      else
 		add="$libdir/$linklib"
 	      fi
@@ -5348,7 +5348,7 @@
 	      if test -n "$inst_prefix_dir"; then
 		case $libdir in
 		  [\\/]*)
-		    add_dir="$add_dir -L$inst_prefix_dir$libdir"
+		    add_dir="$add_dir -L$inst_prefix_dir"
 		    ;;
 		esac
 	      fi
--- libltdl/config/ltmain.sh.orig	2008-09-07 19:56:33.000000000 +0200
+++ libltdl/config/ltmain.sh	2008-10-06 04:21:18.000000000 +0200
@@ -2018,8 +2018,8 @@
 	  # At present, this check doesn't affect windows .dll's that
 	  # are installed into $libdir/../bin (currently, that works fine)
 	  # but it's something to keep an eye on.
-	  test "$inst_prefix_dir" = "$destdir" && \
-	    func_fatal_error "error: cannot install \`$file' to a directory not ending in $libdir"
+	  #test "$inst_prefix_dir" = "$destdir" && \
+	  #  func_fatal_error "error: cannot install \`$file' to a directory not ending in $libdir"
 
 	  if test -n "$inst_prefix_dir"; then
 	    # Stick the inst_prefix_dir data into the link command.
@@ -5115,7 +5115,7 @@
 	      finalize_deplibs="$deplib $finalize_deplibs"
 	    else
 	      deplibs="$deplib $deplibs"
-	      test "$linkmode" = lib && newdependency_libs="$deplib $newdependency_libs"
+	      test "$linkmode" = lib && newdependency_libs="$newdependency_libs"
 	    fi
 	    continue
 	  else # deplib is a libtool library
@@ -5141,7 +5141,7 @@
 		      finalize_deplibs="$deplib $finalize_deplibs"
 		    else
 		      deplibs="$deplib $deplibs"
-		      test "$linkmode" = lib && newdependency_libs="$deplib $newdependency_libs"
+		      test "$linkmode" = lib && newdependency_libs="$newdependency_libs"
 		    fi
 		    continue
 		  fi
@@ -5172,7 +5172,7 @@
 	  lib)
 	    deplibs="$deplib $deplibs"
 	    test "$pass" = conv && continue
-	    newdependency_libs="$deplib $newdependency_libs"
+	    newdependency_libs="$newdependency_libs"
 	    func_stripname '-L' '' "$deplib"
 	    newlib_search_path="$newlib_search_path $func_stripname_result"
 	    ;;
@@ -5490,7 +5490,7 @@
 	    else
 	      # Need to hardcode shared library paths
 	      # or/and link against static libraries
-	      newdependency_libs="$deplib $newdependency_libs"
+	      newdependency_libs="$newdependency_libs"
 	    fi
 	    if $opt_duplicate_deps ; then
 	      case "$tmp_libs " in
@@ -5717,7 +5717,7 @@
 		if test -n "$inst_prefix_dir"; then
 		  case $libdir in
 		    [\\/]*)
-		      add_dir="$add_dir -L$inst_prefix_dir$libdir"
+		      add_dir="$add_dir -L$inst_prefix_dir"
 		      ;;
 		  esac
 		fi
@@ -5778,8 +5778,8 @@
 	      add="-l$name"
 	    elif test "$hardcode_automatic" = yes; then
 	      if test -n "$inst_prefix_dir" &&
-		 test -f "$inst_prefix_dir$libdir/$linklib" ; then
-		add="$inst_prefix_dir$libdir/$linklib"
+		 test -f "$inst_prefix_dir" ; then
+		add="$inst_prefix_dir"
 	      else
 		add="$libdir/$linklib"
 	      fi
@@ -5790,7 +5790,7 @@
 	      if test -n "$inst_prefix_dir"; then
 		case $libdir in
 		  [\\/]*)
-		    add_dir="$add_dir -L$inst_prefix_dir$libdir"
+		    add_dir="$add_dir -L$inst_prefix_dir"
 		    ;;
 		esac
 	      fi
@@ -5881,7 +5881,7 @@
 	  # ... and its dependency_libs
 	  tmp_libs=
 	  for deplib in $dependency_libs; do
-	    newdependency_libs="$deplib $newdependency_libs"
+	    newdependency_libs="$newdependency_libs"
 	    if $opt_duplicate_deps ; then
 	      case "$tmp_libs " in
 	      *" $deplib "*) specialdeplibs="$specialdeplibs $deplib" ;;
@@ -6449,7 +6449,7 @@
 	  esac
 	done
 	if test "$hardcode_into_libs" != yes || test "$build_old_libs" = yes; then
-	  dependency_libs="$temp_xrpath $dependency_libs"
+	  dependency_libs="$dependency_libs"
 	fi
       fi
 
